<!DOCTYPE html>
<html xmlns:fb="http://ogp.me/ns/fb#" xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
    <head>
        <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>"/>
        <title><?php wp_title( '|', true, 'right' ); ?></title>
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <?php myThemes::favicon(); ?>
        <?php wp_head(); ?>
        
    </head>

    <body <?php body_class( ); ?>>
        <?php
            if( is_home() || is_front_page() ){
                if( myThemes::get( 'use-under-construction' ) ){
                    get_template_part( 'cfg/templates/view/under-construction' );
                    exit();
                }
            }
        ?>

        <header>
            
            <div class="line">
                
                <hgroup>

                    <?php if( myThemes::get( 'logo' ) ) { ?>
                        <a href="<?php echo home_url(); ?>" title="<?php bloginfo('name'); echo '-'; bloginfo('description'); ?>">
                            <img src="<?php echo myThemes::get( 'logo' ); ?>" alt="<?php bloginfo('name'); echo '-'; bloginfo('description'); ?>"/>
                        </a>
                    <?php }else { ?>

                        <?php if( is_home() || is_front_page() ) { ?>
                            <h1><a href="<?php echo home_url(); ?>" title="<?php bloginfo('name'); echo '-'; bloginfo('description'); ?>"><?php bloginfo('name'); ?></a></h1>
                        <?php }else{ ?>
                            <h2><a href="<?php echo home_url(); ?>" title="<?php bloginfo('name'); echo '-'; bloginfo('description'); ?>"><?php bloginfo('name'); ?></a></h2>
                        <?php } ?>
                        <p><a href="<?php echo home_url(); ?>" title="<?php bloginfo('name'); echo '-'; bloginfo('description'); ?>"><?php bloginfo('description'); ?></a></p>

                    <?php } ?>
                </hgroup>
                <div class="clear"></div>
                
            </div>
            
            <div class="line">
                <nav class="inline line my-menu to-right">
                    <?php wp_nav_menu( array( 'theme_location' => 'header' ) ); ?>
                </nav>
                <div class="clear"></div>
            </div>
        </header>
        
        <div class="wrapper">